System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeStatement System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

represents a label and optionally, an associated statement. A label can be used to indicate the target of a .

The property is optional. To create only a label, leave the property uninitialized.

Not all languages support goto statements and labels, so you should test wheter a code generator supports goto statements and labels by calling the method with the flag.

Represents a labeled statement or a stand-alone label.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified label name.

  The name of the label.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified label name and statement.

  The name of the label.
  The to associate with the label.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the label.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeStatement To be added: an object of type 'CodeStatement'

  If this property is not set, the represents only a label, rather than a labeled statement.

  Gets or sets the optional associated statement.